from dataclasses import dataclass
from typing import List, Optional

from pygrype.core.decorators.to_json import to_json
from pygrype.core.scan.cvss import CVSS
from pygrype.core.scan.vulnerability_fix import VulnerabilityFix


@dataclass
@to_json
class Vulnerability:
    id: str
    description: Optional[str]
    dataSource: str
    namespace: str
    severity: Optional[str]
    urls: List[str]
    cvss: List[CVSS]
    fix: Optional[VulnerabilityFix]
